# common.h File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file common.h.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- struct std::tr1::__promote< _Tp, >
- struct std::tr1::__promote< _Tp, false >
- struct std::tr1::__promote_2< _Tp, _Up >
- struct std::tr1::__promote_3< _Tp, _Up, _Vp >

## Defines

- #define _TR1_COMMON_H